Bug 161593 - bad prototype for clone()
bad prototype for clone()
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-24 14:33 EDT by John Reiser
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-07 17:15:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Reiser 2005-06-24 14:33:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
In Linux kernel 2.6.*, clone() takes upto 7 arguments, but /usr/include/bits/sched.h (from sysdeps/unix/sysv/linux/bits/sched.h) says there are only 5.  The glibc internal include/sched.h says at least 5, which is correct.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Find the prototype for clone().

Actual Results:  -----sysdeps/unix/sysv/linux/bits/sched.h
#ifdef __USE_MISC
extern int clone (int (*__fn) (void *__arg), void *__child_stack,
                  int __flags, void *__arg) __THROW;

Expected Results:  #ifdef __USE_MISC
extern int clone (int (*__fn) (void *__arg), void *__child_stack,
                  int __flags, void *__arg, ...) __THROW;

Additional info:
Comment 1 Ulrich Drepper 2005-07-07 17:15:44 EDT
I made a change upstream.
Comment 2 Jakub Jelinek 2005-07-10 16:25:40 EDT
Changes are in glibc-2.3.90-2.

Note You need to log in before you can comment on or make changes to this bug.